* DeltaPacker/TronicTracker 
* original replayer from Crystal intro with slide volume
Init_Music:
		movem.l	d0-a6,-(sp)
		lea	$DFF000,a2
		move.w	#$F,$96(a2)
		move.w	#$780,$9A(a2)
		bclr	#1,$BFE001

		lea	Null_Waveform(pc),a0
		move.l	a0,$A0(a2)
		move.l	a0,$B0(a2)
		move.l	a0,$C0(a2)
		move.l	a0,$D0(a2)
		move.w	#4,$A4(a2)
		move.w	#4,$B4(a2)
		move.w	#4,$C4(a2)
		move.w	#4,$D4(a2)
		clr.l	$A6(a2)
		clr.l	$B6(a2)
		clr.l	$C6(a2)
		clr.l	$D6(a2)

		lea	Module(pc),a0
		lea	SongData(pc),a1
		move.w	#$8000,(a1)
		move.b	#63,46(a1)
		move.l	(a0)+,62(a1)
		move.l	(a0)+,66(a1)
		move.l	(a0)+,70(a1)
		move.l	(a0)+,74(a1)
		move.l	a0,10(a1)
		adda.w	64(a1),a0
		move.l	a0,14(a1)
		adda.w	68(a1),a0
		move.l	a0,18(a1)
		adda.w	72(a1),a0
		move.l	a0,22(a1)
		adda.w	76(a1),a0
		moveq	#0,d0
		move.w	(a0)+,d0
		move.l	a0,58(a1)
		adda.w	d0,a0
		move.w	(a0)+,d0
		move.l	a0,6(a1)
		adda.w	d0,a0
		move.l	a0,2(a1)
		move.w	-2(a0),d0
		addi.l	#88,d0
		adda.w	d0,a0
		move.w	(a0)+,d0
		move.l	a0,78(a1)
		adda.w	d0,a0
		move.w	(a0)+,d0
		move.l	a0,82(a1)
		adda.w	d0,a0
		move.l	(a0)+,d0
		move.l	a0,26(a1)
		adda.l	d0,a0
		move.l	a0,38(a1)
		adda.w	#32,a0
		move.l	a0,34(a1)

		move.b	#5,47(a1)

		clr.b	48(a1)
		lea	Null_sound(pc),a2
		lea	Voice1(pc),a0
		move.l	10(a1),10(a0)
		move.l	62(a1),54(a0)
		bsr.s	Init_Voice

		lea	Voice2(pc),a0
		move.l	14(a1),10(a0)
		move.l	66(a1),54(a0)
		bsr.s	Init_Voice 

		lea	Voice3(pc),a0
		move.l	18(a1),10(a0)
		move.l	70(a1),54(a0)
		bsr.s	Init_Voice 

		lea	Voice4(pc),a0
		move.l	22(a1),10(a0)
		move.l	74(a1),54(a0)
		bsr.s	Init_Voice
		movem.l	(sp)+,d0-a6
		rts	


Init_Voice:
		move.l	a2,6(a0)
		move.l	58(a1),44(a0)
		move.b	#$3F,29(a0)
		clr.l	14(a0)
		clr.l	18(a0)
		clr.l	22(a0)
		clr.w	26(a0)
		clr.b	28(a0)
		clr.l	30(a0)
		clr.l	34(a0)
		clr.l	38(a0)
		clr.w	42(a0)
		clr.l	48(a0)
		clr.w	52(a0)
		rts	


Stop_Music:
		move.w	#$F,$DFF096
		move.w	#$780,$DFF09A
		bclr	#1,$BFE001
		rts	


Replay_Music:	movem.l	d0-a6,-(sp)
		lea	SongData(pc),a6
		clr.b	1(a6)

NoNoise:
		subq.b	#1,48(a6)
		bpl.s	PlayspeedOk
		move.b	47(a6),48(a6)

PlayspeedOk:
		lea	Voice1(pc),a0
		bsr.s	Play_Voice
		lea	Voice2(pc),a0
		bsr.s	Play_Voice
		lea	Voice3(pc),a0
		bsr.s	Play_Voice
		lea	Voice4(pc),a0
		bsr.s	Play_Voice
		move.w	0(a6),$DFF096
		movem.l	(sp)+,d0-a6
		rts	


Play_Voice:	movea.l	0(a0),a1
		movea.l	6(a0),a2
		tst.b	51(a0)
		bpl.s	TrackHandler
		clr.b	51(a0)
		moveq	#0,d0
		movea.l	38(a6),a3
		move.b	39(a2),d0
		add.w	d0,d0
		add.w	d0,d0
		adda.w	d0,a3
		movea.l	(a3),a4
		adda.l	34(a6),a4
		moveq	#0,d0
		move.w	4(a2),4(a1)
		move.w	2(a2),d0
		clr.w	(a4)
		adda.w	d0,a4
		move.l	a4,0(a1)

TrackHandler:
		tst.b	48(a6)
		bne.w	SoundHandler
		tst.w	20(a0)
		bne.s	BlockHandler
		moveq	#0,d0
		movea.l	10(a0),a3
		move.w	18(a0),d1
		move.b	(a3,d1.w),d0
		move.b	1(a3,d1.w),43(a0)
		asl.l	#6,d0
		add.l	26(a6),d0
		move.l	d0,14(a0)
		addq.w	#2,d1
		move.w	d1,18(a0)
		cmp.w	56(a0),d1
		bmi.s	BlockHandler
		move.w	54(a0),18(a0)

		move.w	#250,zicwait(a5)
		move.w	#-1,zicflag(a5)

BlockHandler:
		moveq	#0,d0
		movea.l	14(a0),a3
		move.w	20(a0),d0
		adda.l	d0,a3
		moveq	#0,d0
		move.b	(a3),d0
		beq.w	BlockFX
		move.w	4(a0),$DFF096
		move.b	d0,28(a0)
		lea	FrequencyTable(pc),a4
		add.b	43(a0),d0
		add.w	d0,d0
		move.w	(a4,d0.w),26(a0)
		moveq	#0,d1
		move.b	1(a3),d1
		add.w	d1,d1
		subq.w	#2,d1
		movea.l	6(a6),a4
		adda.w	d1,a4

		moveq	#0,d2
		move.w	(a4),d2
		add.l	2(a6),d2
		move.l	d2,6(a0)
		movea.l	d2,a2

		move.b	38(a2),51(a0)
		bpl.s	BlockCon
		moveq	#0,d0
		movea.l	38(a6),a4
		move.b	39(a2),d0
		add.w	d0,d0
		add.w	d0,d0
		adda.w	d0,a4
		movea.l	(a4),a4
		adda.l	34(a6),a4
		move.l	a4,0(a1)
		move.w	0(a2),4(a1)

BlockCon:
		clr.w	22(a0)
		clr.l	32(a0)
		clr.b	36(a0)
		clr.w	48(a0)
		clr.l	38(a0)
		move.b	22(a2),42(a0)
		clr.b	52(a0)
		move.b	23(a2),53(a0)

BlockFX:
		move.b	2(a3),d0
		subq.b	#1,d0
		bmi.s	IncreaseBlock
		move.b	3(a3),d1
		add.w	d0,d0
		jmp	EffectTable(pc,d0.w)
EffectTable:
		bra.s	Effect01

		bra.s	Effect02

		bra.s	Effect03

		bra.s	Effect04

		bra.s	Effect05

		bra.s	Effect06

		bra.s	Effect07

		bra.s	Effect08


Effect01:
		move.b	d1,47(a6)
		bra.s	IncreaseBlock


Effect02:
		tst.b	d1
		bne.s	FX02
		bset	#1,$BFE001
		bra.s	IncreaseBlock


FX02:
		bclr	#1,$BFE001
		bra.s	IncreaseBlock


Effect03:
		neg.w	d1
		move.w	d1,30(a0)
		bra.s	IncreaseBlock


Effect04:
		move.w	d1,30(a0)
		bra.s	IncreaseBlock

Effect05:
		move.b	d1,37(a0)
		bra.s	IncreaseBlock

Effect06:
		move.b	d1,29(a0)
		bra.s	IncreaseBlock


Effect07:
		move.b	d1,46(a6)
		bra.s	IncreaseBlock

Effect08:
		asl.l	#4,d1
		movea.l	58(a6),a4
		adda.l	d1,a4
		move.l	a4,44(a0)

IncreaseBlock:
		addq.w	#4,20(a0)
		andi.w	#$3F,20(a0)

SoundHandler:
		tst.b	38(a2)
		bmi.s	VibratoHandler
		tst.b	22(a0)
		beq.s	DoSound
		subq.b	#1,22(a0)
		bra.s	VibratoHandler

DoSound:
		move.b	39(a2),22(a0)
		moveq	#0,d0
		moveq	#0,d2
		lea	40(a2),a3
		move.b	23(a0),d0

SoundCon0:
		move.b	d0,d1
		move.b	(a3,d0.w),d2
		cmpi.b	#-1,d2
		bne.s	SoundCon
		move.b	1(a3,d0.w),d0
		move.b	(a3,d0.w),d2
		cmpi.b	#-1,d2
		bne.s	SoundCon0
		bra.s	VibratoHandler

SoundCon:
		add.w	d2,d2
		add.l	78(a6),d2
		movea.l	d2,a3
		move.w	(a3),d2
		movea.l	82(a6),a3
		adda.w	d2,a3
		move.l	a3,0(a1)
		move.w	0(a2),4(a1)
		addq.b	#1,d1
		move.b	d1,23(a0)

VibratoHandler:
		moveq	#0,d0
		lea	21(a2),a3
		move.b	52(a0),d0
		adda.w	d0,a3
		move.b	0(a3),d0
		tst.b	39(a0)
		bne.s	VibratoMinus
		add.w	d0,40(a0)
		bra.s	VibratoDec

VibratoMinus:
		sub.w	d0,40(a0)

VibratoDec:
		subq.b	#1,42(a0)
		bne.s	VibratoCon
		move.b	1(a3),42(a0)
		not.b	39(a0)

VibratoCon:
		tst.b	53(a0)
		beq.s	VibratoCon2
		subq.b	#1,53(a0)
		bra.s	VolumeHandler


VibratoCon2:
		addq.b	#3,52(a0)
		cmpi.b	#15,52(a0)
		bne.s	VibratoCon3
		move.b	#12,52(a0)

VibratoCon3:
		move.b	5(a3),53(a0)

VolumeHandler:
		tst.b	36(a0)
		beq.s	DoVolume
		subq.b	#1,36(a0)
		bra.s	PortamentoHandler


DoVolume:
		moveq	#0,d0
		moveq	#0,d1
		move.w	34(a0),d0
		lea	6(a2),a3
		adda.w	d0,a3
		move.b	(a3),d0
		move.b	1(a3),d1
		cmp.w	32(a0),d1
		bpl.s	VolumePlus
		sub.w	d0,32(a0)
		cmp.w	32(a0),d1
		bmi.s	PortamentoHandler
		move.w	d1,32(a0)
		addq.w	#3,34(a0)
		move.b	2(a3),36(a0)
		bra.s	PortamentoHandler


VolumePlus:
		add.w	d0,32(a0)
		cmp.w	32(a0),d1
		bpl.s	PortamentoHandler
		move.w	d1,32(a0)
		addq.w	#3,34(a0)
		cmpi.w	#15,34(a0)
		bne.s	.no
		move.w	#12,34(a0)

.no:
		move.b	2(a3),36(a0)

PortamentoHandler:
		moveq	#0,d0
		move.b	37(a0),d0
		beq.s	ArpeggioHandler
		move.w	26(a0),d1
		cmp.w	24(a0),d1
		bpl.s	PortaPlus
		sub.w	d0,24(a0)
		cmp.w	24(a0),d1
		bmi.s	ArpeggioHandler
		move.w	d1,24(a0)
		bra.s	ArpeggioHandler


PortaPlus:
		add.w	d0,24(a0)
		cmp.w	24(a0),d1
		bpl.s	ArpeggioHandler
		move.w	d1,24(a0)

ArpeggioHandler:
		moveq	#0,d0
		movea.l	44(a0),a3
		move.w	48(a0),d1
		move.b	(a3,d1.w),d0
		cmpi.b	#$80,d0
		bne.s	ArpCon
		clr.w	48(a0)
		bra.s	ArpeggioHandler


ArpCon:
		addq.w	#1,48(a0)
		andi.w	#$F,48(a0)
		tst.b	37(a0)
		beq.s	NoPorta
		move.w	24(a0),d0
		bra.s	SetFreq


NoPorta:
		lea	FrequencyTable(pc),a3
		add.b	28(a0),d0
		add.b	43(a0),d0
		add.w	d0,d0
		move.w	(a3,d0.w),d0
		move.w	d0,24(a0)

SetFreq:
		move.w	36(a2),d1
		sub.w	30(a0),d1
		sub.w	d1,40(a0)
		add.w	40(a0),d0
		move.w	d0,6(a1)
		move.w	32(a0),d0
		ror.w	#2,d0
		andi.w	#$3F,d0
		cmp.b	29(a0),d0
		bmi.s	VolMinus
		move.b	29(a0),d0

VolMinus:
		cmp.b	46(a6),d0
		bmi.s	VolMinus2
		move.b	46(a6),d0

VolMinus2:
		sub.w	slidevol(a5),d0
		bpl.s	.nozero
		moveq	#0,d0

.nozero:
		move.w	d0,8(a1)
		move.w	4(a0),d0
		or.w	d0,0(a6)
		rts	

		even 
Voice1:		dc.l $DFF0A0
		dc.w 1
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
Voice2:		dc.l $DFF0B0
		dc.w 2
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
Voice3:		dc.l $DFF0C0
		dc.w 4
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
Voice4:		dc.l $DFF0D0
		dc.w 8
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
FrequencyTable:	dc.w 0
		dc.w $1AC0
		dc.w $1940
		dc.w $17D0
		dc.w $1680
		dc.w $1530
		dc.w $1400
		dc.w $12E0
		dc.w $11D0
		dc.w $10D0
		dc.w $FE0
		dc.w $F00
		dc.w $E20
		dc.w $D60
		dc.w $CA0
		dc.w $BE8
		dc.w $B40
		dc.w $A98
		dc.w $A00
		dc.w $970
		dc.w $8E8
		dc.w $868
		dc.w $7F0
		dc.w $780
		dc.w $710
		dc.w $6B0
		dc.w $650
		dc.w $5F4
		dc.w $5A0
		dc.w $54C
		dc.w $500
		dc.w $4B8
		dc.w $474
		dc.w $434
		dc.w $3F8
		dc.w $3C0
		dc.w $388
		dc.w $358
		dc.w $328
		dc.w $2FA
		dc.w $2D0
		dc.w $2A6
		dc.w $280
		dc.w $25C
		dc.w $23A
		dc.w $21A
		dc.w $1FC
		dc.w $1E0
		dc.w $1C4
		dc.w $1AC
		dc.w $194
		dc.w $17D
		dc.w $168
		dc.w $153
		dc.w $140
		dc.w $12E
		dc.w $11D
		dc.w $10D
		dc.w $FE
		dc.w $F0
		dc.w $E2
		dc.w $D6
		dc.w $CA
		dc.w $BE
		dc.w $B4
		dc.w $AA
		dc.w $A0
		dc.w $97
		dc.w $8F
		dc.w $87
		dc.w $7F
		dc.w $78
		dc.w $71
		dc.w $71
		dc.w $71
		dc.w $71
		dc.w $71
		dc.w $71
		dc.w $71
		dc.w $71
		dc.w $71
		dc.w $71
		dc.w $71
		dc.w $71
		dc.w $71
SongData:	dc.w 0
		dc.l 0
		dc.l 0
		dc.l 0
		dc.l 0
		dc.l 0
		dc.l 0
		dc.l 0
		dc.l 0
		dc.l 0
		dc.l 0
		dc.l 0
		dc.l 0
		dc.l 0
		dc.l 0
		dc.l 0
		dc.l 0
		dc.l 0
		dc.l 0
		dc.l 0
		dc.l 0
		dc.l 0
Null_Waveform:	dc.l 0
		dc.l 0
Null_sound:	dc.w 4
		dc.w 0
		dc.w 0
		dc.b 0
		dc.b 1
		dc.b $FF
		dc.b 0
		dc.b 0
		dc.b 0
		dc.b 0
		dc.b 0
		dc.b 0
		dc.b 0
		dc.b 0
		dc.b 0
		dc.b 0
		dc.w 0
		dc.b 0
		dc.b 1
		dc.b	1 ;  
		dc.b	2 ;  
		dc.b	2 ;  
		dc.b	2 ;  
		dc.b	2 ;  
		dc.b	2 ;  
		dc.b	2 ;  
		dc.b	2 ;  
		dc.b	2 ;  
		dc.b	2 ;  
		dc.b	2 ;  
		dc.b	2 ;  
		dc.b	2 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b	0 ;  
		dc.b  $FE ; 
		dc.b 0
		dc.b $FF
		dc.b 0
		dc.b	0 ;  
		even
